# m3e/slide_group

SlideGroup is presents pagination controls used to scroll overflowing content.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        disabled: Disabled,
        next_page_label: String,
        previous_page_label: String,
        threshold: Float,
        vertical: Vertical,
      )
    }

### Constructors

-     Config(
        disabled: Disabled,
        next_page_label: String,
        previous_page_label: String,
        threshold: Float,
        vertical: Vertical,
      )

## Disabled

</>

Disabled is whether scroll buttons are disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## SlideGroup

opaque </>

SlideGroup is a View Model for this component

## Fields:

- disabled: Whether scroll buttons are disabled.
- next_page_label: The accessible label given to the button used to move to the next page.
- previous_page_label: The accessible label given to the button used to move to the previous page.
- threshold: A value, in pixels, indicating the scroll threshold at which to begin showing pagination controls.
- vertical: Whether content is oriented vertically.

    pub opaque type SlideGroup

## Slot

</>

Slots are used in child elements to insert content into this component

    pub type Slot {
      NextIcon
      PrevIcon
    }

### Constructors

-     NextIcon

-     PrevIcon

## Vertical

</>

Vertical is whether content is oriented vertically.

    pub type Vertical {
      IsVertical
      IsNotVertical
    }

### Constructors

-     IsVertical

-     IsNotVertical

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_next_page_label

</>

    pub const default_next_page_label: String

## default_previous_page_label

</>

    pub const default_previous_page_label: String

## default_threshold

</>

    pub const default_threshold: Float

## default_vertical

</>

    pub const default_vertical: Vertical

## disabled

</>

    pub fn disabled(
      record: SlideGroup,
      disabled: Disabled,
    ) -> SlideGroup

disabled sets the value of disabled for this SlideGroup.

## from_config

</>

    pub fn from_config(config: Config) -> SlideGroup

from_config creates a new SlideGroup from the given configuration.

## new

</>

    pub fn new() -> SlideGroup

new creates a new SlideGroup with the default configuration.

## next_page_label

</>

    pub fn next_page_label(
      record: SlideGroup,
      next_page_label: String,
    ) -> SlideGroup

next_page_label sets the value of next_page_label for this SlideGroup.

## previous_page_label

</>

    pub fn previous_page_label(
      record: SlideGroup,
      previous_page_label: String,
    ) -> SlideGroup

previous_page_label sets the value of previous_page_label for this SlideGroup.

## render

</>

    pub fn render(
      model: SlideGroup,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a SlideGroup

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a SlideGroup Config

## slot

</>

    pub fn slot(s: Slot) -> attribute.Attribute(msg)

slot returns a Lustre Attribute(msg) for the given slot name

## threshold

</>

    pub fn threshold(
      record: SlideGroup,
      threshold: Float,
    ) -> SlideGroup

threshold sets the value of threshold for this SlideGroup.

## vertical

</>

    pub fn vertical(
      record: SlideGroup,
      vertical: Vertical,
    ) -> SlideGroup

vertical sets the value of vertical for this SlideGroup.

✨